%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-findup-sync
Version:    0.4.2
Release:    1%{?dist}
Summary:    Find the first file matching a given pattern
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/cowboy/node-findup-sync
Source0:    http://registry.npmjs.org/findup-sync/-/findup-sync-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

# License file
Source11:   https://raw.githubusercontent.com/js-cli/node-findup-sync/%{version}/LICENSE-MIT
Source12:   https://raw.githubusercontent.com/js-cli/node-findup-sync/%{version}/README.md

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  npm(detect-file)
BuildRequires:  npm(is-glob)
BuildRequires:  npm(micromatch)
BuildRequires:  npm(resolve-dir)

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(resolve)
%endif

%description
Find the first file matching a given pattern in the current directory or
the nearest ancestor directory.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# copy the license file
cp -p %{SOURCE11} .
# copy the readme file
cp -p %{SOURCE12} .

#%nodejs_fixdep glob '~3.2.6'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/findup-sync
cp -pr package.json \
    %{buildroot}%{nodejs_sitelib}/findup-sync

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%license LICENSE-MIT
%doc README.md
%{nodejs_sitelib}/findup-sync


%changelog
* Mon Jul 25 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.2-1
- Update to upstream 0.4.2 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.3.1
- update to upstream release 0.1.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- initial package
